cascading.tuple

## Class TupleChainIterable

- java.lang.Object
- - cascading.tuple.TupleChainIterable

- All Implemented Interfaces:
    Resettable<java.lang.Iterable<Tuple>>, java.lang.Iterable<Tuple>

      public class TupleChainIterable
      extends java.lang.Object
      implements java.lang.Iterable<Tuple>, Resettable<java.lang.Iterable<Tuple>>

  TupleChainIterator chains the given Iterators into a single Iterator.

  As one iterator is completed, it will be closed and a new one will start.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleChainIterable(java.lang.Iterable<Tuple> first, java.lang.Iterable<Tuple>... iterables)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<Tuple>` | `iterator()`
    `void` | `reset(java.lang.Iterable<Tuple>... iterables)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleChainIterable

          public TupleChainIterable(java.lang.Iterable<Tuple> first,
                            java.lang.Iterable<Tuple>... iterables)

  - ### Method Detail

    - #### iterator

          public java.util.Iterator<Tuple> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<Tuple>`

    - #### reset

          public void reset(java.lang.Iterable<Tuple>... iterables)

      Specified by:
        `reset` in interface `Resettable<java.lang.Iterable<Tuple>>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.